package com.mudchobo.board.action;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.mudchobo.board.dao.BoardSqlMapDao;
import com.mudchobo.board.vo.BoardVo;

public class ListAction extends Action {

	@Override
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		
		int startRow;
		BoardSqlMapDao boardSqlMapDao = new BoardSqlMapDao();
		
		/* ó۽ 0 */
		String pageNum = request.getParameter("page");
		if (pageNum == null)
			pageNum = "0";
		int currentPage = Integer.parseInt(pageNum);
		
		startRow = currentPage * 15;
		List<BoardVo> contentsList = boardSqlMapDao.getContents(startRow, 15);
		Integer totalPage = boardSqlMapDao.getTotalpage();
		
		request.setAttribute("contentslist", contentsList);
		request.setAttribute("pagenum", pageNum);
		request.setAttribute("totalpage", totalPage);
		return mapping.findForward("SUCCESS");
	}
}
