package com.mudchobo.board.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.mudchobo.board.dao.BoardSqlMapDao;

public class DeleteAction extends Action {

	@Override
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		int id = Integer.parseInt(request.getParameter("id"));
		String pwd = request.getParameter("pwd");
		BoardSqlMapDao boardSqlMapDao = new BoardSqlMapDao();
		if (boardSqlMapDao.checkPwd(id, pwd) > 0) {
			boardSqlMapDao.deleteContent(id);
			return mapping.findForward("SUCCESS");
		} else {
			return mapping.findForward("FAIL");
		}
	}
}
